Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_ProxySupplier Class Reference

Base class for all the ProxySuppliers. More...

`#include <ProxySupplier.h>`

Inheritance diagram for TAO_NS_ProxySupplier:

[legend]
Collaboration diagram for TAO_NS_ProxySupplier:

[legend]
List of all members.

## Public Methods
| TAO_NS_ProxySupplier (void)
| Constuctor. More...
virtual | ~TAO_NS_ProxySupplier ()
| Destructor. More...
virtual void | init_ps (ACE_ENV_SINGLE_ARG_DECL)
| Init method. More...
void | connect (TAO_NS_Consumer *consumer ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosEventChannelAdmin::AlreadyConnected )
| Connect. More...
void | disconnect (ACE_ENV_SINGLE_ARG_DECL)
| Disconnect. More...
virtual void | push (TAO_NS_Event_var &event)
| Dispatch Event to consumer. More...
virtual void | push_no_filtering (TAO_NS_Event_var &event)
| Dispatch Event to consumer, no filtering. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Override TAO_NS_Container_T::shutdown method. More...
virtual TAO_NS_Peer * | peer (void)
| Access our Peer. More...
TAO_NS_Consumer * | consumer (void)
| Access the Consumer. More...
## Protected Methods
int | is_connected (void)
| Return 1 if connected. More...
## Protected Attributes
TAO_NS_Consumer * | consumer_
| The Consumer that we're connect to. More...
## Friends
class | TAO_NS_Consumer

## Detailed Description

Base class for all the ProxySuppliers.

## Constructor & Destructor Documentation

TAO_NS_ProxySupplier::TAO_NS_ProxySupplier | ( | void |  | ) |

| Constuctor.

TAO_NS_ProxySupplier::~TAO_NS_ProxySupplier | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_NS_ProxySupplier::connect | ( | TAO_NS_Consumer *consumer | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , CosEventChannelAdmin::AlreadyConnected )

| Connect.

TAO_NS_Consumer* TAO_NS_ProxySupplier::consumer | ( | void |  | ) |

| Access the Consumer.

void TAO_NS_ProxySupplier::disconnect | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Disconnect.

void TAO_NS_ProxySupplier::init_ps | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Init method.

int TAO_NS_ProxySupplier::is_connected | ( | void |  | ) | `[protected]`

| Return 1 if connected.

TAO_NS_Peer * TAO_NS_ProxySupplier::peer | ( | void |  | ) | `[virtual]`

| Access our Peer. Reimplemented from TAO_NS_Proxy.

void TAO_NS_ProxySupplier::push | ( | TAO_NS_Event_var & | event | ) | `[virtual]`

| Dispatch Event to consumer.

void TAO_NS_ProxySupplier::push_no_filtering | ( | TAO_NS_Event_var & | event | ) | `[virtual]`

| Dispatch Event to consumer, no filtering.

void TAO_NS_ProxySupplier::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Override TAO_NS_Container_T::shutdown method. Reimplemented from TAO_NS_Object.

## Friends And Related Function Documentation

friend class TAO_NS_Consumer`[friend]`

## Member Data Documentation

TAO_NS_Consumer* TAO_NS_ProxySupplier::consumer_`[protected]`

| The Consumer that we're connect to.

The documentation for this class was generated from the following files:

- ProxySupplier.h
- ProxySupplier.cpp